Bug 40484 - REINPLACE_CMD doesn't understand \t
Summary: REINPLACE_CMD doesn't understand \t
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Maxim Sobolev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-07-12 15:10 UTC by edwin
Modified: 2002-10-19 10:47 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description edwin 2002-07-12 15:10:01 UTC
The old PERL-RE made it possible to use \t to indicate tabs.
The new REINPLACE_CMD doesn't provide such a feature.

Fix: 

This is more a sed_inplace problem which I can't solve.
A patch would be to check all REINPLACE_CMD's for unsupported \-commands.
How-To-Repeat: 
Try to build ports/devel/jam (the one dated July 11th)
Comment 1 Mario Sergio Fujikawa Ferreira freebsd_committer 2002-08-04 19:09:22 UTC
Responsible Changed
From-To: freebsd-ports->sobomax

Over to maintainer of sed_inplace
Comment 2 Maxim Sobolev freebsd_committer 2002-10-19 10:44:34 UTC
State Changed
From-To: open->closed

Unfortunately, this is the way POSIX regexp work, so that there is little 
that can be done about that (see re_format(7) for details). Use USE_PERL if 
you can't workaround the problem.